Index: gsdl/trunk/perllib/ClassifyTreeModel.pm
===================================================================
--- gsdl/trunk/perllib/ClassifyTreeModel.pm	(revision 15891)
+++ gsdl/trunk/perllib/ClassifyTreeModel.pm	(revision 15894)
@@ -3,4 +3,5 @@
 use ClassifyTreeNode;
 use GDBMUtils;
+use strict;
 
 # /** Constructor
Index: gsdl/trunk/perllib/ClassifyTreePath.pm
===================================================================
--- gsdl/trunk/perllib/ClassifyTreePath.pm	(revision 15891)
+++ gsdl/trunk/perllib/ClassifyTreePath.pm	(revision 15894)
@@ -1,5 +1,6 @@
 package ClassifyTreePath;
 
-require ClassifyTreePath;
+use strict;
+
 
 # /** Construct a new tree path object based on the given value path.
Index: gsdl/trunk/perllib/DateExtract.pm
===================================================================
--- gsdl/trunk/perllib/DateExtract.pm	(revision 15891)
+++ gsdl/trunk/perllib/DateExtract.pm	(revision 15894)
@@ -23,5 +23,5 @@
 
 my $shortmth = "";
-foreach $m (@months) { $shortmth .= (substr($m,0,3)."\\.?|"); }
+foreach my $m (@months) { $shortmth .= (substr($m,0,3)."\\.?|"); }
 chop($shortmth);
 
Index: gsdl/trunk/perllib/IncrementalDocument.pm
===================================================================
--- gsdl/trunk/perllib/IncrementalDocument.pm	(revision 15891)
+++ gsdl/trunk/perllib/IncrementalDocument.pm	(revision 15894)
@@ -28,4 +28,5 @@
 
 use GDBMUtils;
+use strict;
 
 # /**
Index: gsdl/trunk/perllib/XMLParser.pm
===================================================================
--- gsdl/trunk/perllib/XMLParser.pm	(revision 15891)
+++ gsdl/trunk/perllib/XMLParser.pm	(revision 15894)
@@ -29,5 +29,5 @@
 
 use XML::Parser;
-
+use strict;
 
 1;
Index: gsdl/trunk/perllib/acronym.pm
===================================================================
--- gsdl/trunk/perllib/acronym.pm	(revision 15891)
+++ gsdl/trunk/perllib/acronym.pm	(revision 15894)
@@ -29,4 +29,6 @@
 
 package acronym;
+
+use strict;
 
 ###########################################################################
Index: gsdl/trunk/perllib/cfgread.pm
===================================================================
--- gsdl/trunk/perllib/cfgread.pm	(revision 15891)
+++ gsdl/trunk/perllib/cfgread.pm	(revision 15894)
@@ -28,5 +28,5 @@
 package cfgread;
 
-use strict;
+use strict; no strict 'refs';
 
 
Index: gsdl/trunk/perllib/cnseg.pm
===================================================================
--- gsdl/trunk/perllib/cnseg.pm	(revision 15891)
+++ gsdl/trunk/perllib/cnseg.pm	(revision 15894)
@@ -30,4 +30,5 @@
 package cnseg;
 
+use strict;
 use unicode;
 
Index: gsdl/trunk/perllib/doc.pm
===================================================================
--- gsdl/trunk/perllib/doc.pm	(revision 15891)
+++ gsdl/trunk/perllib/doc.pm	(revision 15894)
@@ -34,4 +34,5 @@
 }
 
+use strict;
 use unicode;
 use util;
Index: gsdl/trunk/perllib/docproc.pm
===================================================================
--- gsdl/trunk/perllib/docproc.pm	(revision 15891)
+++ gsdl/trunk/perllib/docproc.pm	(revision 15894)
@@ -28,4 +28,7 @@
 
 package docproc;
+
+use strict;
+
 
 sub new {
Index: gsdl/trunk/perllib/encodings.pm
===================================================================
--- gsdl/trunk/perllib/encodings.pm	(revision 15891)
+++ gsdl/trunk/perllib/encodings.pm	(revision 15894)
@@ -28,4 +28,6 @@
 
 package encodings;
+
+use strict;
 
 # $encodings takes the form:
Index: gsdl/trunk/perllib/expinfo.pm
===================================================================
--- gsdl/trunk/perllib/expinfo.pm	(revision 15891)
+++ gsdl/trunk/perllib/expinfo.pm	(revision 15894)
@@ -32,6 +32,9 @@
 # a file in the export directory and an OID.
 
+package expinfo;
 
-package expinfo;
+
+use strict;
+
 
 sub new {
Index: gsdl/trunk/perllib/g2futil.pm
===================================================================
--- gsdl/trunk/perllib/g2futil.pm	(revision 15891)
+++ gsdl/trunk/perllib/g2futil.pm	(revision 15894)
@@ -18,4 +18,5 @@
 }
 
+use strict;
 use util;
 
Index: gsdl/trunk/perllib/gflock.pm
===================================================================
--- gsdl/trunk/perllib/gflock.pm	(revision 15891)
+++ gsdl/trunk/perllib/gflock.pm	(revision 15894)
@@ -29,4 +29,5 @@
 
 use Fcntl ':flock';
+use strict;
 
 # returns true if successful (or if OS is a form of windows other than NT)
Index: gsdl/trunk/perllib/ghtml.pm
===================================================================
--- gsdl/trunk/perllib/ghtml.pm	(revision 15891)
+++ gsdl/trunk/perllib/ghtml.pm	(revision 15894)
@@ -28,4 +28,5 @@
 package ghtml;
 
+use strict;
 use unicode;
 
Index: gsdl/trunk/perllib/lang.pm
===================================================================
--- gsdl/trunk/perllib/lang.pm	(revision 15891)
+++ gsdl/trunk/perllib/lang.pm	(revision 15894)
@@ -28,4 +28,6 @@
 
 package lang;
+
+use strict;
 
 @lang::trans = (["ab", "Abkhazian"],      ["om", "Afan Oromo"],
Index: gsdl/trunk/perllib/multiread.pm
===================================================================
--- gsdl/trunk/perllib/multiread.pm	(revision 15891)
+++ gsdl/trunk/perllib/multiread.pm	(revision 15894)
@@ -36,4 +36,5 @@
 eval {require bytes};
 
+use strict;
 use unicode;
 
Index: gsdl/trunk/perllib/muread.pm
===================================================================
--- gsdl/trunk/perllib/muread.pm	(revision 15891)
+++ gsdl/trunk/perllib/muread.pm	(revision 15894)
@@ -24,4 +24,5 @@
 package muread;
 
+use strict;
 use unicode;
 use multiread;
Index: gsdl/trunk/perllib/parsargv.pm
===================================================================
--- gsdl/trunk/perllib/parsargv.pm	(revision 15891)
+++ gsdl/trunk/perllib/parsargv.pm	(revision 15894)
@@ -25,4 +25,7 @@
 
 package parsargv;
+
+use strict;
+
 # 
 # parse(ARGVREF, [SPEC, VARREF] ...)
Index: gsdl/trunk/perllib/parse2.pm
===================================================================
--- gsdl/trunk/perllib/parse2.pm	(revision 15891)
+++ gsdl/trunk/perllib/parse2.pm	(revision 15894)
@@ -12,4 +12,5 @@
 }
 
+use strict;
 use util;
 
Index: gsdl/trunk/perllib/sorttools.pm
===================================================================
--- gsdl/trunk/perllib/sorttools.pm	(revision 15891)
+++ gsdl/trunk/perllib/sorttools.pm	(revision 15894)
@@ -28,4 +28,6 @@
 
 package sorttools;
+
+use strict;
 
 # moved here from BasClas so import can share it
Index: gsdl/trunk/perllib/textcat.pm
===================================================================
--- gsdl/trunk/perllib/textcat.pm	(revision 15891)
+++ gsdl/trunk/perllib/textcat.pm	(revision 15894)
@@ -31,4 +31,6 @@
 
 package textcat;
+
+use strict;
 
 # OPTIONS
Index: gsdl/trunk/perllib/unicode.pm
===================================================================
--- gsdl/trunk/perllib/unicode.pm	(revision 15891)
+++ gsdl/trunk/perllib/unicode.pm	(revision 15894)
@@ -34,4 +34,5 @@
 
 use encodings;
+use strict;
 use util;
 
Index: gsdl/trunk/perllib/webpageutil.pm
===================================================================
--- gsdl/trunk/perllib/webpageutil.pm	(revision 15891)
+++ gsdl/trunk/perllib/webpageutil.pm	(revision 15894)
@@ -2,4 +2,5 @@
 
 use ghtml;
+use strict;
 
 sub error_location