Index: gli/trunk/metadata/dublin.mds
===================================================================
--- gli/trunk/metadata/dublin.mds	(revision 15964)
+++ gli/trunk/metadata/dublin.mds	(revision 15965)
@@ -282,5 +282,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -393,5 +393,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -493,5 +493,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -590,5 +590,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -706,5 +706,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -809,5 +809,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -913,5 +913,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -1019,5 +1019,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -1127,5 +1127,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -1244,5 +1244,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -1342,5 +1342,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -1462,5 +1462,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -1591,5 +1591,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -1708,5 +1708,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
Index: gli/trunk/metadata/nzgls.mds
===================================================================
--- gli/trunk/metadata/nzgls.mds	(revision 15964)
+++ gli/trunk/metadata/nzgls.mds	(revision 15965)
@@ -179,5 +179,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -290,5 +290,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -384,5 +384,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -475,5 +475,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -619,5 +619,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -716,5 +716,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
         <Element name="created">
@@ -850,5 +850,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
         <Element name="category">
@@ -970,5 +970,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
         <Element name="extent">
@@ -1093,5 +1093,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -1204,5 +1204,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -1296,5 +1296,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -1410,5 +1410,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
         <Element name="isVersionOf">
@@ -1632,5 +1632,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
         <Element name="jurisdiction">
@@ -1767,5 +1767,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
Index: gli/trunk/metadata/qdublin.mds
===================================================================
--- gli/trunk/metadata/qdublin.mds	(revision 15964)
+++ gli/trunk/metadata/qdublin.mds	(revision 15965)
@@ -297,5 +297,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -408,5 +408,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -508,5 +508,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
         <Element name="abstract">
@@ -633,5 +633,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -743,5 +743,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -846,5 +846,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
         <Element name="available">
@@ -1062,5 +1062,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -1168,5 +1168,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
         <Element name="extent">
@@ -1304,5 +1304,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
         <Element name="bibliographicCitation">
@@ -1436,5 +1436,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -1534,5 +1534,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
     </Element>
@@ -1654,5 +1654,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
         <Element name="conformsTo">
@@ -1965,5 +1965,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
         <Element name="spatial">
@@ -2110,5 +2110,5 @@
         <Attribute language="en" name="registration_authority">Dublin Core Metadata Initiative</Attribute>
         <Attribute name="obligation">Optional</Attribute>
-        <Attribute name="datatype">Charater String</Attribute>
+        <Attribute name="datatype">Character String</Attribute>
         <Attribute name="maximum_occurance">Unlimited</Attribute>
         <Element name="accessRights">