Index: /release-kits/lirk3/ant-scripts/create-distribution.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 15966)
+++ /release-kits/lirk3/ant-scripts/create-distribution.xml	(revision 15967)
@@ -98,4 +98,5 @@
 			<delete dir="distribution/greenstone3/gs2build/bin/java"/>
 			<exec executable="cp"><arg line="-r greenstone3/gs2build/bin/java distribution/greenstone3/gs2build/bin"/></exec>
+
 		</if>
 	</target>
Index: /release-kits/lirk3/ant-scripts/create-installer.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/create-installer.xml	(revision 15966)
+++ /release-kits/lirk3/ant-scripts/create-installer.xml	(revision 15967)
@@ -20,4 +20,11 @@
 		<if><bool><istrue value="${execute}"/></bool>
 
+			<!-- get the size of packages -->
+			<exec executable="du" dir="${basedir}/distribution/greenstone3/packages" outputproperty="du.tomcat"><arg line="-hs tomcat"/></exec>
+			<exec executable="sed" inputstring="${du.tomcat}" outputproperty="component.size.tomcat"><arg line="-e 's/^\(.*\)\s.*$/\1b/g'"/></exec>
+
+			<exec executable="du" dir="${basedir}/distribution/greenstone3/packages" outputproperty="du.ant"><arg line="-hs ant"/></exec>
+			<exec executable="sed" inputstring="${du.ant}" outputproperty="component.size.ant"><arg line="-e 's/^\(.*\)\s.*$/\1b/g'"/></exec>
+
 			<echo>Project Path: ${basedir}/distribution/greenstone3</echo>
 			<mkdir dir="${basedir}/installer"/>
@@ -28,4 +35,8 @@
 			<!-- put the concrete values of things in the config -->
 			<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@version@" replacement="${version}"/>
+			<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.java@" replacement="${component.size.java}"/>
+			<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.tomcat@" replacement="${component.size.tomcat}"/>
+			<rsr file="${basedir}/installer/antinstall-config.xml" pattern="@component.size.ant@" replacement="${component.size.ant}"/>
+
 			<rsr file="${basedir}/installer/build.xml" pattern="@java.min.version@" replacement="${java.min.version}"/>
 			<rsr file="${basedir}/installer/build.xml" pattern="@java.extracted@" replacement="${java.extracted}"/>
@@ -33,4 +44,5 @@
 
 			<!-- put the concrete values of things in the text -->
+
 			<!-- default -->
 			<rsr file="${basedir}/installer/cp/resources/LanguagePack.properties" pattern="@version@" replacement="${version}"/>
@@ -95,5 +107,4 @@
 					icons="bluecurve">
 
-				<!-- copy all the important files into the archive to be extracted for install -->
 				<zipfileset dir="${basedir}/installer/cp" includes="resources/*"/>
 				<zipfileset dir="${lirk3.home}/ant-scripts/tasks/orans"><include name="RegexSearchReplace.class"/></zipfileset>
@@ -110,5 +121,4 @@
 				<zipfileset dir="${basedir}/distribution/greenstone3/src" prefix="src"><include name="**/*"/></zipfileset>
 			</installer>
-
 		</if>
 	</target>
Index: /release-kits/lirk3/ant-scripts/init.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/init.xml	(revision 15966)
+++ /release-kits/lirk3/ant-scripts/init.xml	(revision 15967)
@@ -43,9 +43,9 @@
 	<property file="build.properties" />
 
+	<!-- the minimum version of java which the installer should be run with (this gets passed to search4j) -->
+	<property name="java.min.version" value="1.4.0_00"/>
+
 	<!-- somewhere to store temporary text -->
 	<tempfile property="temp.file" destdir="${java.io.tmpdir}" prefix="delete" suffix=".tmp"/>
-
-	<!-- bundled java strings -->
-	<!-- java.installer: use a filename which has only letters numbers and underscores -->
 
 	<!-- the version numbers of bundled things -->
@@ -54,8 +54,11 @@
 	<property name="bundled.version.ant" value="1.6.5"/>
 
-	<!--<property name="java.installer" value="jre_6u5_linux_i586"/>-->
-	<property name="java.installer" value="jre_6u5_tar_gz"/>
-	<property name="java.extracted" value="jre1.6.0_05"/>
-	<property name="java.min.version" value="1.4.0_00"/>
+	<!-- information about the bundled java (to be changed manually when the bundled version changes) -->
+	<property name="java.installer" value="jre_6u5_tar_gz"/> <!-- set this to the name of the archive in LIRK3_HOME/wrapper. can only contain A-Za-z_ -->
+	<property name="java.extracted" value="jre1.6.0_05"/> <!-- set this to the name of the top level directory in the above archive -->
+	<property name="component.size.java" value="97Mb"/>
+
+
+
 
 
Index: /release-kits/lirk3/ant-scripts/operations-on-gs3home.xml
===================================================================
--- /release-kits/lirk3/ant-scripts/operations-on-gs3home.xml	(revision 15966)
+++ /release-kits/lirk3/ant-scripts/operations-on-gs3home.xml	(revision 15967)
@@ -49,5 +49,5 @@
 
 		<delete><fileset dir="." includes="*.bat"/></delete>
-		<delete file="${gli.home}/gli.sh"/>
+		<!--<delete file="${gli.home}/gli.sh"/>-->
 		<delete file="${gli.home}/gems.sh"/>
 		<antcall target="rename-gs2build-files-dist"/>    