Index: /gli/trunk/metadata/dublin.mds
===================================================================
--- /gli/trunk/metadata/dublin.mds	(revision 15977)
+++ /gli/trunk/metadata/dublin.mds	(revision 15978)
@@ -184,5 +184,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Creator">
@@ -283,5 +283,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Subject">
@@ -394,5 +394,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Description">
@@ -494,5 +494,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Publisher">
@@ -591,5 +591,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Contributor">
@@ -707,5 +707,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Date">
@@ -810,5 +810,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Type">
@@ -914,5 +914,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Format">
@@ -1020,5 +1020,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Identifier">
@@ -1128,5 +1128,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Source">
@@ -1245,5 +1245,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Language">
@@ -1343,5 +1343,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Relation">
@@ -1463,5 +1463,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Coverage">
@@ -1592,5 +1592,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Rights">
@@ -1709,5 +1709,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
 </MetadataSet>
Index: /gli/trunk/metadata/nzgls.mds
===================================================================
--- /gli/trunk/metadata/nzgls.mds	(revision 15977)
+++ /gli/trunk/metadata/nzgls.mds	(revision 15978)
@@ -87,5 +87,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Creator">
@@ -180,5 +180,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Function">
@@ -291,5 +291,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Description">
@@ -385,5 +385,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Publisher">
@@ -476,5 +476,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Mandate">
@@ -620,5 +620,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Date">
@@ -717,5 +717,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="created">
             <Attribute language="en" name="label">Created</Attribute>
@@ -851,5 +851,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="category">
             <Attribute language="en" name="label">Category</Attribute>
@@ -971,5 +971,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="extent">
             <Attribute language="en" name="label">Extent</Attribute>
@@ -1094,5 +1094,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Source">
@@ -1205,5 +1205,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Language">
@@ -1297,5 +1297,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Relation">
@@ -1411,5 +1411,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="isVersionOf">
             <Attribute language="en" name="label">Is Version Of</Attribute>
@@ -1633,5 +1633,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="jurisdiction">
             <Attribute language="en" name="label">Jurisdiction</Attribute>
@@ -1768,5 +1768,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
 </MetadataSet>
Index: /gli/trunk/metadata/qdublin.mds
===================================================================
--- /gli/trunk/metadata/qdublin.mds	(revision 15977)
+++ /gli/trunk/metadata/qdublin.mds	(revision 15978)
@@ -184,5 +184,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="alternative">
             <Attribute language="en" name="status">recommended</Attribute>
@@ -298,5 +298,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Subject" >
@@ -409,5 +409,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Description" >
@@ -509,5 +509,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="abstract">
             <Language code="en">
@@ -634,5 +634,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Contributor" >
@@ -744,5 +744,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Date" >
@@ -847,5 +847,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="available">
             <Language code="en">
@@ -1063,5 +1063,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Format" >
@@ -1169,5 +1169,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="extent">
             <Language code="en">
@@ -1305,5 +1305,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="bibliographicCitation">
             <Attribute language="en" name="status">conforming</Attribute>
@@ -1437,5 +1437,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Language" >
@@ -1535,5 +1535,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="Relation" >
@@ -1655,5 +1655,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="conformsTo">
             <Language code="en">
@@ -1966,5 +1966,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="spatial">
             <Attribute language="en" name="status">recommended</Attribute>
@@ -2111,5 +2111,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
         <Element name="accessRights">
             <Language code="en">
Index: /gli/trunk/metadata/rfc1807.mds
===================================================================
--- /gli/trunk/metadata/rfc1807.mds	(revision 15977)
+++ /gli/trunk/metadata/rfc1807.mds	(revision 15978)
@@ -18,6 +18,6 @@
         <Attribute name="obligation">Compulsory</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="minimum_occurance">1</Attribute>
-        <Attribute name="maximum_occurance">1</Attribute>
+        <Attribute name="minimum_occurrence">1</Attribute>
+        <Attribute name="maximum_occurrence">1</Attribute>
     </Element>
     <Element name="id">
@@ -33,6 +33,6 @@
         <Attribute name="obligation">Compulsory</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="minimum_occurance">1</Attribute>
-        <Attribute name="maximum_occurance">1</Attribute>
+        <Attribute name="minimum_occurrence">1</Attribute>
+        <Attribute name="maximum_occurrence">1</Attribute>
     </Element>
     <Element name="entry">
@@ -48,6 +48,6 @@
         <Attribute name="obligation">Compulsory</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="minimum_occurance">1</Attribute>
-        <Attribute name="maximum_occurance">1</Attribute>
+        <Attribute name="minimum_occurrence">1</Attribute>
+        <Attribute name="maximum_occurrence">1</Attribute>
     </Element>
     <Element name="organization">
@@ -63,5 +63,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="title">
@@ -77,5 +77,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="type">
@@ -91,5 +91,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="revision">
@@ -105,5 +105,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="withdraw">
@@ -119,5 +119,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="author">
@@ -133,5 +133,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="corp-author">
@@ -147,5 +147,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="contact">
@@ -161,5 +161,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="date">
@@ -175,5 +175,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="pages">
@@ -189,5 +189,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="copyright">
@@ -203,5 +203,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="handle">
@@ -217,5 +217,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="other_access">
@@ -231,5 +231,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="retrieval">
@@ -245,5 +245,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="keyword">
@@ -259,5 +259,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="cr-category">
@@ -273,5 +273,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="period">
@@ -287,5 +287,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="series">
@@ -301,5 +301,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="monitoring">
@@ -315,5 +315,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="funding">
@@ -330,5 +330,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="contract">
@@ -344,5 +344,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="grant">
@@ -358,5 +358,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="language">
@@ -372,5 +372,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="notes">
@@ -386,5 +386,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
     <Element name="abstract">
@@ -400,5 +400,5 @@
         <Attribute name="obligation">Optional</Attribute>
         <Attribute name="datatype">Character String</Attribute>
-        <Attribute name="maximum_occurance">Unlimited</Attribute>
+        <Attribute name="maximum_occurrence">Unlimited</Attribute>
     </Element>
 </MetadataSet>