Index: gsdl/trunk/perllib/strings_ro.properties
===================================================================
--- gsdl/trunk/perllib/strings_ro.properties	(revision 15968)
+++ gsdl/trunk/perllib/strings_ro.properties	(revision 16017)
@@ -640,9 +640,9 @@
 ArchivesInfPlugin.desc:Extensie care parcurge o arhivÄ recursiv fiÅierul archives.inf (de exempolu, fiÅierul generat Ã®n directorul arhivei atunci cÃ¢nd a fost fÄcut un import), procesÃ¢nd fiecare fiÅier Ã®ntÃ¢lnit.  # Updated 31-Oct-2007 by constantinescu
 
-BasePlugin.adding:adÄugare  # Updated 31-Oct-2007 by constantinescu
-
-BasePlugin.already_seen:care a mai fost vÄzutÄ  # Updated 24-Nov-2007 by constantinescu
-
-BasePlugin.bad_general_option:Extensia %s utilizeazÄ o opÅ£iune incorectÄ. VerificaÅ£i fiÅierul de configurare collect.cfg.  # Updated 24-Nov-2007 by constantinescu
+AcronymExtractor.adding:adÄugare  # Updated 31-Oct-2007 by constantinescu
+
+AcronymExtractor.already_seen:care a mai fost vÄzutÄ  # Updated 24-Nov-2007 by constantinescu
+
+PrintInfo.bad_general_option:Extensia %s utilizeazÄ o opÅ£iune incorectÄ. VerificaÅ£i fiÅierul de configurare collect.cfg.  # Updated 24-Nov-2007 by constantinescu
 
 BasePlugin.block_exp:FiÅierele care se potrivesc cu aceastÄ expresie regulatÄ vor fi blocate Ã®n a fi pasate oricÄror alte extensii succesive din listÄ. Acest lucru nu are un efect real altul decÃ¢t cel al prevenirii apariÅ£iei a unei mulÅ£imi de mesaje de avertizare privind fiÅierele intrate, care nu au relevanÅ£Ä pentru dumneavoastrÄ. Fiecare extensie poate avea un block_exp de start. De exemplu, din start HTMLPlug blocheazÄ orice fiÅier care are extensiile .gif, .jpg, .jpeg, .png sau .css.  # Updated 27-Nov-2007 by constantinescu
@@ -650,81 +650,81 @@
 BasePlugin.associate_ext:Are ca efect ca fiÅierele care au aceeaÅi nume de fiÅier rÄdÄcinÄ ca Åi documentul Ã®n curs de procesare de cÄtre extensie Åi o numele unei extensii dintr-o listÄ separatÄ prin virgule furnizatÄ de acest argument, sÄ fie asociatÄ cu documentul Ã®n curs de procesare decÃ¢t mÃ¢nuirea lor ca o listÄ separatÄ.  # Updated 24-Nov-2007 by constantinescu
 
-BasePlugin.could_not_extract_encoding:ATENÅ¢IE: codarea nu a putut fi extrasÄ din %s - se aplicÄ modul implicit la %s  # Updated 23-Nov-2007 by constantinescu
-
-BasePlugin.could_not_extract_language:ATENÅ¢IE: nu a putut fi extrasÄ limba din %s - implicit la %s  # Updated 31-Oct-2007 by constantinescu
-
-BasePlugin.could_not_open_for_reading:nu a putut fi deschis %s pentru a fi citit  # Updated 23-Nov-2007 by constantinescu
+ReadTextFile.could_not_extract_encoding:ATENÅ¢IE: codarea nu a putut fi extrasÄ din %s - se aplicÄ modul implicit la %s  # Updated 23-Nov-2007 by constantinescu
+
+ReadTextFile.could_not_extract_language:ATENÅ¢IE: nu a putut fi extrasÄ limba din %s - implicit la %s  # Updated 31-Oct-2007 by constantinescu
+
+ReadTextFile.could_not_open_for_reading:nu a putut fi deschis %s pentru a fi citit  # Updated 23-Nov-2007 by constantinescu
 
 BasePlugin.no_cover_image:Nu cÄutaÅ£i un fiÅier prefix.jpg (acolo unde prefixul este acelaÅi prefix ca fiÅierul care este procesat) Åi asociaÅ£i-l ca imagine a coperÅ£ii.  # Updated 24-Nov-2007 by constantinescu
 
-BasePlugin.default_encoding:UtilizaÅ£i aceastÄ codare dacÄ -input_encoding este setat pe 'auto' iar argoritmul de categorisire a textului eÅueazÄ Ã®n a extrage schema de codare sau extrage o schemÄ de codare nesuportatÄ de Greenstone. AceastÄ opÅ£iune poate lua aceleaÅi valori ca Åi -input_encoding.  # Updated 30-Oct-2007 by constantinescu
-
-BasePlugin.default_language:DacÄ Greenstone eÅueazÄ Ã®n a identifica limba unui document, elementul de metadate 'Language' va fi setat la aceastÄ valoare. Setarea implicitÄ este 'en' (sunt utilizate simbolurile pentru limbÄ specificate de ISO 639: en = English). Trebuie notat cÄ dacÄ nu este setat -input_encoding cu valoarea 'auto' iar -extract_language nu este setat, atunci toate documentele vor avea setul de metadate 'Language' setat cu aceastÄ valoare.  # Updated 23-Nov-2007 by constantinescu
+ReadTextFile.default_encoding:UtilizaÅ£i aceastÄ codare dacÄ -input_encoding este setat pe 'auto' iar argoritmul de categorisire a textului eÅueazÄ Ã®n a extrage schema de codare sau extrage o schemÄ de codare nesuportatÄ de Greenstone. AceastÄ opÅ£iune poate lua aceleaÅi valori ca Åi -input_encoding.  # Updated 30-Oct-2007 by constantinescu
+
+ReadTextFile.default_language:DacÄ Greenstone eÅueazÄ Ã®n a identifica limba unui document, elementul de metadate 'Language' va fi setat la aceastÄ valoare. Setarea implicitÄ este 'en' (sunt utilizate simbolurile pentru limbÄ specificate de ISO 639: en = English). Trebuie notat cÄ dacÄ nu este setat -input_encoding cu valoarea 'auto' iar -extract_language nu este setat, atunci toate documentele vor avea setul de metadate 'Language' setat cu aceastÄ valoare.  # Updated 23-Nov-2007 by constantinescu
 
 BasePlugin.desc:Clasa de bazÄ pentru toate extensiile destinate importului.  # Updated 31-Oct-2007 by constantinescu
 
-BasePlugin.done_acronym_extract:am terminat de extras acronimele.  # Updated 23-Nov-2007 by constantinescu
-
-BasePlugin.done_acronym_markup:am fÄcut marcajul pentru acronime.  # Updated 30-Oct-2007 by constantinescu
-
-BasePlugin.done_email_extract:s-a Ã®ncheiat extragerea adreselor de email.  # Updated 23-Nov-2007 by constantinescu
+AcronymExtractor.done_acronym_extract:am terminat de extras acronimele.  # Updated 23-Nov-2007 by constantinescu
+
+AcronymExtractor.done_acronym_markup:am fÄcut marcajul pentru acronime.  # Updated 30-Oct-2007 by constantinescu
+
+EmailAddressExtractor.done_email_extract:s-a Ã®ncheiat extragerea adreselor de email.  # Updated 23-Nov-2007 by constantinescu
 
 BasePlugin.dummy_text:Acest document nu are text.  # Updated 23-Nov-2007 by constantinescu
 
-BasePlugin.empty_file:fiÅierul nu conÅ£ine text  # Updated 5-Nov-2007 by constantinescu
-
-BasePlugin.extract_acronyms:Extrage acronimele din text Åi le transpune ca metadate.  # Updated 30-Oct-2007 by constantinescu
-
-BasePlugin.extract_email:Extragerea adreselor de email ca metadate.  # Updated 24-Nov-2007 by constantinescu
-
-BasePlugin.extract_historical_years:Extrage informaÅ£ii privind perioade de timp din documentele istorice. Acestea sunt stocate ca metadate Ã®n cadrul documentului. ExistÄ o interfaÅ£Ä de cÄutare pentru aceste metadate, care poate fi inclusÄ Ã®n colecÅ£ia proprie prin adÄugarea enunÅ£ului âformat QueryInterface DateSearchâ Ã®n fiÅierul de configurare al colecÅ£iei.  # Updated 30-Oct-2007 by constantinescu
-
-BasePlugin.extract_language:Identificarea limbii fiecÄrui document, precum Åi setarea metadatelor 'Language'. Trebuie remarcat cÄ acest lucru va fi fÄcut automat dacÄ -input_encoding este setat pe 'auto'.  # Updated 23-Nov-2007 by constantinescu
-
-BasePlugin.extracting:extragere  # Updated 24-Nov-2007 by constantinescu
-
-BasePlugin.extracting_acronyms:extragerea acronimelor  # Updated 30-Oct-2007 by constantinescu
-
-BasePlugin.extract_keyphrases:Extrage automat frazele cheie cu ajutorul Kea (setÄrile implicite).  # Updated 24-Nov-2007 by constantinescu
-
-BasePlugin.extract_keyphrases_kea4:Extragerea frazelor cheie automat cu Kea 4.0 (setÄrile implicite). Kea 4.0 este o versine nouÄ de Kea care a fost dezvoltatÄ pentru a controla indexarea documentelor din domeniul agriculturii.  # Updated 23-Nov-2007 by constantinescu
-
-BasePlugin.extract_keyphrase_options:OpÅ£iuni pentru extragerea frazelor-cheie cu Kea. De exemplu: mALIWEB - foloseÅte modelul de extragere ALIWEB; n5 - extrage 5 frazÄ-cheie;, eGBK - foloseÅte codarea GBK.  # Updated 30-Oct-2007 by constantinescu
-
-BasePlugin.extracting_emails:extrag adresele de email  # Updated 23-Nov-2007 by constantinescu
-
-BasePlugin.file_has_no_text:EROARE: %s nu conÅ£ine text  # Updated 30-Oct-2007 by constantinescu
-
-BasePlugin.first:O listÄ separatÄ prin virgule a primelor dimensiuni pentru extragerea lor din text Ã®ntr-un cÃ¢mp de metadate. CÃ¢mpul de numeÅte 'FirstNNN'.  # Updated 23-Nov-2007 by constantinescu
-
-BasePlugin.input_encoding:Codarea documentelor sursÄ. Documentele vor fi convertite din aceste codÄri Åi vor fo stocate intern ca utf8.  # Updated 22-Feb-2007 by constantinescu
+ReadTextFile.empty_file:fiÅierul nu conÅ£ine text  # Updated 5-Nov-2007 by constantinescu
+
+AcronymExtractor.extract_acronyms:Extrage acronimele din text Åi le transpune ca metadate.  # Updated 30-Oct-2007 by constantinescu
+
+EmailAddressExtractor.extract_email:Extragerea adreselor de email ca metadate.  # Updated 24-Nov-2007 by constantinescu
+
+DateExtractor.extract_historical_years:Extrage informaÅ£ii privind perioade de timp din documentele istorice. Acestea sunt stocate ca metadate Ã®n cadrul documentului. ExistÄ o interfaÅ£Ä de cÄutare pentru aceste metadate, care poate fi inclusÄ Ã®n colecÅ£ia proprie prin adÄugarea enunÅ£ului âformat QueryInterface DateSearchâ Ã®n fiÅierul de configurare al colecÅ£iei.  # Updated 30-Oct-2007 by constantinescu
+
+ReadTextFile.extract_language:Identificarea limbii fiecÄrui document, precum Åi setarea metadatelor 'Language'. Trebuie remarcat cÄ acest lucru va fi fÄcut automat dacÄ -input_encoding este setat pe 'auto'.  # Updated 23-Nov-2007 by constantinescu
+
+AutoExtractMetadata.extracting:extragere  # Updated 24-Nov-2007 by constantinescu
+
+AcronymExtractor.extracting_acronyms:extragerea acronimelor  # Updated 30-Oct-2007 by constantinescu
+
+KeyphraseExtractor.extract_keyphrases:Extrage automat frazele cheie cu ajutorul Kea (setÄrile implicite).  # Updated 24-Nov-2007 by constantinescu
+
+KeyphraseExtractor.extract_keyphrases_kea4:Extragerea frazelor cheie automat cu Kea 4.0 (setÄrile implicite). Kea 4.0 este o versine nouÄ de Kea care a fost dezvoltatÄ pentru a controla indexarea documentelor din domeniul agriculturii.  # Updated 23-Nov-2007 by constantinescu
+
+KeyphraseExtractor.extract_keyphrase_options:OpÅ£iuni pentru extragerea frazelor-cheie cu Kea. De exemplu: mALIWEB - foloseÅte modelul de extragere ALIWEB; n5 - extrage 5 frazÄ-cheie;, eGBK - foloseÅte codarea GBK.  # Updated 30-Oct-2007 by constantinescu
+
+EmailAddressExtractor.extracting_emails:extrag adresele de email  # Updated 23-Nov-2007 by constantinescu
+
+ReadTextFile.file_has_no_text:EROARE: %s nu conÅ£ine text  # Updated 30-Oct-2007 by constantinescu
+
+AutoExtractMetadata.first:O listÄ separatÄ prin virgule a primelor dimensiuni pentru extragerea lor din text Ã®ntr-un cÃ¢mp de metadate. CÃ¢mpul de numeÅte 'FirstNNN'.  # Updated 23-Nov-2007 by constantinescu
+
+ReadTextFile.input_encoding:Codarea documentelor sursÄ. Documentele vor fi convertite din aceste codÄri Åi vor fo stocate intern ca utf8.  # Updated 22-Feb-2007 by constantinescu
 BasePlugin.input_encoding.ascii:ASCII pe 7 biÅ£i. Acesta poate fi ceva mai rapid decÃ¢t folosirea lui iso_8859_1. FiÅ£i atenÅ£i la folosirea acestuia asupra unei colecÅ£ii de documente care pot conÅ£ine caractere Ã®n afara setului pe 7 biÅ£i ASCII (de exemplu, documentele germane sau franceze conÅ£in accente). Ãn cazul existenÅ£ei unor astfel de documente, folosiÅ£i iso_8859_1.  # Updated 23-Nov-2007 by constantinescu
-BasePlugin.input_encoding.auto:FoloseÅte algoritmul de categorisire a textului pentru a identifica automat schema de codare a fiecÄrui document sursÄ. AceastÄ procedurÄ va fi mai lentÄ decÃ¢t prin explicarea directÄ a codÄrii, dar va funcÅ£iona acolo unde sunt folosite mai mult de o schemÄ de codare din cadrul aceleiaÅi colecÅ£ii.  # Updated 31-Oct-2007 by constantinescu
-
-BasePlugin.input_encoding.unicode:Doar unicode.
-
-BasePlugin.input_encoding.utf8:Fie utf8, fie unicode -- detectat automat.  # Updated 24-Nov-2007 by constantinescu
-
-BasePlugin.keyphrases:fraze cheie  # Updated 24-Nov-2007 by constantinescu
-
-BasePlugin.marking_up_acronyms:alcÄtuirea acronimelor  # Updated 31-Oct-2007 by constantinescu
-
-BasePlugin.markup_acronyms:AdÄugaÅ£i metadate pentru acronime Ã®n textul documentului.  # Updated 23-Nov-2007 by constantinescu
-
-BasePlugin.maximum_century:Numele maxim al secolului care poate fi extras ca metadate istorice (de exemplu 14 are ca rezultat extragerea tuturor referinÅ£elor pÃ¢nÄ Ã®n secolul al paisprezecelea).  # Updated 5-Nov-2007 by constantinescu
-
-BasePlugin.maximum_year:Data istoricÄ maximÄ pentru a fi folositÄ ca metadate (precum Era noastrÄ - 1950).  # Updated 31-Oct-2007 by constantinescu
-
-BasePlugin.missing_kea:Eroare: Software-ul Kea nu a putut fi gÄsit la %s. VÄ rugÄm sÄ descÄrcaÅ£i %s Kea de la http://www.nzdl.org/Kea Åi instalaÅ£i-l Ã®n acest director.  # Updated 27-Nov-2007 by constantinescu
+ReadTextFile.input_encoding.auto:FoloseÅte algoritmul de categorisire a textului pentru a identifica automat schema de codare a fiecÄrui document sursÄ. AceastÄ procedurÄ va fi mai lentÄ decÃ¢t prin explicarea directÄ a codÄrii, dar va funcÅ£iona acolo unde sunt folosite mai mult de o schemÄ de codare din cadrul aceleiaÅi colecÅ£ii.  # Updated 31-Oct-2007 by constantinescu
+
+BasePlugin.encoding.unicode:Doar unicode.
+
+BasePlugin.encoding.utf8:Fie utf8, fie unicode -- detectat automat.  # Updated 24-Nov-2007 by constantinescu
+
+KeyphraseExtractor.keyphrases:fraze cheie  # Updated 24-Nov-2007 by constantinescu
+
+AcronymExtractor.marking_up_acronyms:alcÄtuirea acronimelor  # Updated 31-Oct-2007 by constantinescu
+
+AcronymExtractor.markup_acronyms:AdÄugaÅ£i metadate pentru acronime Ã®n textul documentului.  # Updated 23-Nov-2007 by constantinescu
+
+DateExtractor.maximum_century:Numele maxim al secolului care poate fi extras ca metadate istorice (de exemplu 14 are ca rezultat extragerea tuturor referinÅ£elor pÃ¢nÄ Ã®n secolul al paisprezecelea).  # Updated 5-Nov-2007 by constantinescu
+
+DateExtractor.maximum_year:Data istoricÄ maximÄ pentru a fi folositÄ ca metadate (precum Era noastrÄ - 1950).  # Updated 31-Oct-2007 by constantinescu
+
+KeyphraseExtractor.missing_kea:Eroare: Software-ul Kea nu a putut fi gÄsit la %s. VÄ rugÄm sÄ descÄrcaÅ£i %s Kea de la http://www.nzdl.org/Kea Åi instalaÅ£i-l Ã®n acest director.  # Updated 27-Nov-2007 by constantinescu
 
 BasePlugin.must_be_implemented:BasPlug::funcÅ£ia de citire trebuie implementatÄ Ã®n subclasÄ pentru extensiile recursive  # Updated 23-Nov-2007 by constantinescu
 
-BasePlugin.no_bibliography:Nu Ã®ncercaÅ£i sÄ blocaÅ£i datele din Ã®nregistrÄrile bibliografice atunci cÃ¢nd extrageÅ£i date istorice.  # Updated 23-Nov-2007 by constantinescu
+DateExtractor.no_bibliography:Nu Ã®ncercaÅ£i sÄ blocaÅ£i datele din Ã®nregistrÄrile bibliografice atunci cÃ¢nd extrageÅ£i date istorice.  # Updated 23-Nov-2007 by constantinescu
 
 BasePlugin.process_exp:O expresie regulatÄ perl care se potriveÅte cu numele fiÅierelor. FiÅierele care se potrivesc vor fi procesate de cÄtre acest plugin. De exemplu, folosirea  lui '(?i).html?\$' potriveÅte toate documentele care se terminÄ cu .htm sau .html (sunt case-insensitive).  # Updated 31-Oct-2007 by constantinescu
 
-BasePlugin.read_denied:Citire interzisÄ pentru %s  # Updated 24-Nov-2007 by constantinescu
-
-BasePlugin.separate_cjk:Introdu spaÅ£ii Ã®ntre caracterele ChinezeÅti/Japoneze/Coreene pentru a face fiecare caracter un cuvÃ¢nt. FolosiÅ£i dacÄ textul nu este segmentat.  # Updated 5-Nov-2007 by constantinescu
+ReadTextFile.read_denied:Citire interzisÄ pentru %s  # Updated 24-Nov-2007 by constantinescu
+
+ReadTextFile.separate_cjk:Introdu spaÅ£ii Ã®ntre caracterele ChinezeÅti/Japoneze/Coreene pentru a face fiecare caracter un cuvÃ¢nt. FolosiÅ£i dacÄ textul nu este segmentat.  # Updated 5-Nov-2007 by constantinescu
 
 BasePlugin.smart_block:BlocheazÄ fiÅierele Ã®ntr-un mod mai inteligent decÃ¢t dupÄ numele fiÅierelor.  # Updated 23-Nov-2007 by constantinescu
@@ -732,7 +732,7 @@
 BasePlugin.stems:rÄdÄcini  # Updated 31-Oct-2007 by constantinescu
 
-BasePlugin.unsupported_encoding:ATENÅ¢IE: %s pare sÄ fie codatÄ cu o codare care nu are suport (%s) - folosind %s  # Updated 23-Nov-2007 by constantinescu
-
-BasePlugin.wrong_encoding:ATENÅ¢IE: %s a fost citit folosindu-se codarea %s dar apare codat ca %s.  # Updated 24-Nov-2007 by constantinescu
+ReadTextFile.unsupported_encoding:ATENÅ¢IE: %s pare sÄ fie codatÄ cu o codare care nu are suport (%s) - folosind %s  # Updated 23-Nov-2007 by constantinescu
+
+ReadTextFile.wrong_encoding:ATENÅ¢IE: %s a fost citit folosindu-se codarea %s dar apare codat ca %s.  # Updated 24-Nov-2007 by constantinescu
 
 BibTexPlugin.desc:BibTexPlug citeÅte fiÅierele bibliografice Ã®n format BibTex. BibTexPlug creazÄ un document obiect pentru fiecare referinÅÄ din fiÅier. Acesta este o subclasÄ a lui SplitPlug, astfel cÄ, Ã®n cazul existenÅ£ei a mai multor Ã®nregistrÄri, toate acestea sunt citite.  # Updated 23-Nov-2007 by constantinescu
@@ -823,11 +823,11 @@
 HTMLPlugin.old_style_HDL:Pentru a marca dacÄ fiÅierul din aceastÄ colecÅ£ie este Ã®ncadrat unei secÅ£iuni utilizÃ¢nd vechiul stil de secÅ£iune HDL.  # Updated 23-Nov-2007 by constantinescu
 
-ImagePlugin.converttotype:ConverteÅte imaginea principalÄ la formatul 's'.  # Updated 30-Oct-2007 by constantinescu
+ImageConverter.converttotype:ConverteÅte imaginea principalÄ la formatul 's'.  # Updated 30-Oct-2007 by constantinescu
 
 ImagePlugin.desc:AceastÄ extensie proceseazÄ imagini adÄugÃ¢nd metadate de bazÄ.  # Updated 31-Oct-2007 by constantinescu
 
-ImagePlugin.minimumsize:IgnorÄ imaginile mai mici de n byte.  # Updated 23-Nov-2007 by constantinescu
-
-ImagePlugin.noscaleup:Nu modificaÅ£i dimensiunea imaginilor de micÄ dimensiune atunci cÃ¢nd generaÅ£i imaginile miniaturÄ (thumbnails).  # Updated 27-Nov-2007 by constantinescu
+ImageConverter.minimumsize:IgnorÄ imaginile mai mici de n byte.  # Updated 23-Nov-2007 by constantinescu
+
+ImageConverter.noscaleup:Nu modificaÅ£i dimensiunea imaginilor de micÄ dimensiune atunci cÃ¢nd generaÅ£i imaginile miniaturÄ (thumbnails).  # Updated 27-Nov-2007 by constantinescu
 
 ImagePlugin.screenviewsize:DacÄ este setat, face o imagine de dimensiunea n sÄ corespundÄ cu ecranul Åi seteazÄ Åi metadatele Screen, ScreenSize, ScreenWidth Åi ScreenHeight. Ãn mod implicit acesta nu este setat.  # Updated 23-Nov-2007 by constantinescu
@@ -835,7 +835,7 @@
 ImagePlugin.screenviewtype:DacÄ este setat -screenviewsize, atunci este setat tipul de imagine a ecranului.  # Updated 24-Nov-2007 by constantinescu
 
-ImagePlugin.thumbnailsize:FaceÅ£i imagini miniaturÄ de dimensiunea nxn.  # Updated 23-Nov-2007 by constantinescu
-
-ImagePlugin.thumbnailtype:Se fac miniaturile (thumbnails) Ã®n formatul 's'.  # Updated 31-Oct-2007 by constantinescu
+ImageConverter.thumbnailsize:FaceÅ£i imagini miniaturÄ de dimensiunea nxn.  # Updated 23-Nov-2007 by constantinescu
+
+ImageConverter.thumbnailtype:Se fac miniaturile (thumbnails) Ã®n formatul 's'.  # Updated 31-Oct-2007 by constantinescu
 
 IndexPlugin.desc:AceastÄ extensie recursivÄ proceseazÄ un fiÅier index.txt. FiÅierul index.txt ar trebui sÄ conÅ£inÄ o listÄ de fiÅiere care sÄ fie incluse Ã®n colecÅ£ie urmate de metadate suplimentare care sÄ fie asociate cu fiecare fiÅier.\n\nFiÅierul index.txt ar trebui formatat dupÄ cum urmeazÄ: Prima linie ar trebui sÄ fie o cheie (porniÅ£i cu o cheie:) pentru a denumi cÃ¢mpurile de metadate (de exemplu, cheia: Subject Organization Date). UrmÄtoarele linii vor conÅ£ine un nume de fiÅier urmat de valoarea cu care trebuie sÄ fie setat elementul de metadate. (de exemplu, âirma/iw097e 3.2 unesco 1993â va asocia metadatele Subiect=3.2, OrganizaÅ£ie=unesco, Åi Data=1993 cu fiÅierul irma/iw097e dacÄ a fost utilizatÄ cheia de mai sus)\n\nTrebuie remarcat cÄ dacÄ oricare dintre cÃ¢mpurile de metadate utilizaeazÄ extensia de clasificator al Ierarhiei, atunci valoarea cu care sunt setate ar trebui sÄ corespundÄ cu primul cÃ¢mp (descriptorul) Ã®n fiÅierul de clasificare corespunzÄtor.\n\nValorile de Metadate pot fi numite separat folosindu-se un tag (de exemplu, <Subiect>3.2) iar aceasta va avea ca efect suprascrierea oricÄrui nume dat acestora prin linia cheie. DacÄ nu existÄ nicio linie cheie, oricare metadate care nu au fost denumite, vor fi numite âSubiectâ.  # Updated 24-Nov-2007 by constantinescu
@@ -877,5 +877,5 @@
 MediaWikiPlugin.delete_searchbox:Återge secÅ£iunea de cÄutare. Trebuie sÄ specifice o expresie regulatÄ mai jos Ã®n searchbox_div_exp.  # Updated 30-Oct-2007 by constantinescu
 
-MediaWikiPlugin.searchbox_div_id:O expresie regulatÄ care sÄ se potriveascÄ cu secÅ£iunea de cÄutare. Valorile implicite se potrivesc cu cele ale paginilor obisnuite ale MediaWiki.  # Updated 30-Oct-2007 by constantinescu
+MediaWikiPlugin.searchbox_div_exp:O expresie regulatÄ care sÄ se potriveascÄ cu secÅ£iunea de cÄutare. Valorile implicite se potrivesc cu cele ale paginilor obisnuite ale MediaWiki.  # Updated 30-Oct-2007 by constantinescu
 
 MediaWikiPlugin.remove_title_suffix_exp:O expresie regulatÄ Perl pentru a âperiaâ titlul extras. De exemplu, \\s-(.+) va filtra conÅ£inutul titlului dupÄ â-â.  # Updated 24-Nov-2007 by constantinescu
@@ -914,7 +914,7 @@
 PagedImagePlugin.screenview:Produce o imagine de prezentare pentru fiecare imagine Ã®n sine si sunt setate metadatele Screen, ScreenSize, ScreenWidth Åi ScreenHeight.  # Updated 24-Nov-2007 by constantinescu
 
-PagedImagePlugin.screenviewsize:Se fac imagini pentru ecran de dimensiunea nxn.  # Updated 27-Nov-2007 by constantinescu
-
-PagedImagePlugin.screenviewtype:FaceÅ£i capturi de ecran Ã®n format 's'.  # Updated 30-Oct-2007 by constantinescu
+ImageConverter.screenviewsize:Se fac imagini pentru ecran de dimensiunea nxn.  # Updated 27-Nov-2007 by constantinescu
+
+ImageConverter.screenviewtype:FaceÅ£i capturi de ecran Ã®n format 's'.  # Updated 30-Oct-2007 by constantinescu
 
 PagedImagePlugin.thumbnail:ProduceÅ£i cÃ¢te un thumbnail (imagine miniaturÄ) pentru fiecare imagine  # Updated 23-Nov-2007 by constantinescu
@@ -967,7 +967,7 @@
 SourceCodePlugin.remove_prefix:EliminaÅ£i acest Åablon de coordonare din numele fiÅierului (de exemplu, -remove_prefix /tmp/XX/src/). Modul de lucru uzual este de a elimina Ã®ntreaga cale din numele fiÅierului.  # Updated 23-Nov-2007 by constantinescu
 
-SplitPlugin.desc:SplitPlug este o extensie pentru a sparge fiÅierele intrate Ã®n segmente care vor fi procesate apoi individual. AceastÄ extensie nu ar trebui sÄ fie chematÄ Ã®n mod direct. DacÄ este necesarÄ procesarea fiÅierelor intrate care conÅ£in cÃ¢teva documente, mai bine  scrieÅ£i o extensie care sÄ conÅ£inÄ o funcÅ£ie de procesare care sÄ se ocupe de astfel de documente Åi apoi sÄ o faceÅ£i moÅtenire pentru extensia SplitPlug. Vezi SplitPlug pentru un exemplu.  # Updated 23-Nov-2007 by constantinescu
-
-SplitPlugin.split_exp:O expresie regulatÄ perl pentru a sparge fiÅierele intrate Ã®n segmente.  # Updated 23-Nov-2007 by constantinescu
+SplitTextFile.desc:SplitPlug este o extensie pentru a sparge fiÅierele intrate Ã®n segmente care vor fi procesate apoi individual. AceastÄ extensie nu ar trebui sÄ fie chematÄ Ã®n mod direct. DacÄ este necesarÄ procesarea fiÅierelor intrate care conÅ£in cÃ¢teva documente, mai bine  scrieÅ£i o extensie care sÄ conÅ£inÄ o funcÅ£ie de procesare care sÄ se ocupe de astfel de documente Åi apoi sÄ o faceÅ£i moÅtenire pentru extensia SplitPlug. Vezi SplitPlug pentru un exemplu.  # Updated 23-Nov-2007 by constantinescu
+
+SplitTextFile.split_exp:O expresie regulatÄ perl pentru a sparge fiÅierele intrate Ã®n segmente.  # Updated 23-Nov-2007 by constantinescu
 
 StructuredHTMLPlugin.desc:O extensie pentru procesarea documentelor structurate HTML, spargerea acestora Ã®n secÅ£iuni bazate pe informaÅ£iile de stil.  # Updated 24-Nov-2007 by constantinescu