Index: gsdl/trunk/perllib/plugins/AbstractPlugin.pm
===================================================================
--- gsdl/trunk/perllib/plugins/AbstractPlugin.pm	(revision 16024)
+++ gsdl/trunk/perllib/plugins/AbstractPlugin.pm	(revision 16025)
@@ -1,2 +1,28 @@
+###########################################################################
+#
+# Base plugin for other plugins that don't inherit (directly or indirectly)
+# from BasePlugin
+#
+# A component of the Greenstone digital library software
+# from the New Zealand Digital Library Project at the 
+# University of Waikato, New Zealand.
+#
+# Copyright (C) 2008 New Zealand Digital Library Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+###########################################################################
 package AbstractPlugin;
 
Index: gsdl/trunk/perllib/plugins/AcronymExtractor.pm
===================================================================
--- gsdl/trunk/perllib/plugins/AcronymExtractor.pm	(revision 16024)
+++ gsdl/trunk/perllib/plugins/AcronymExtractor.pm	(revision 16025)
@@ -1,2 +1,28 @@
+###########################################################################
+#
+# AcronymExtractor - helper plugin that extacts acronyms from text 
+#
+# A component of the Greenstone digital library software
+# from the New Zealand Digital Library Project at the 
+# University of Waikato, New Zealand.
+#
+# Copyright (C) 2008 New Zealand Digital Library Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+###########################################################################
+
 package AcronymExtractor;
 
Index: gsdl/trunk/perllib/plugins/DateExtractor.pm
===================================================================
--- gsdl/trunk/perllib/plugins/DateExtractor.pm	(revision 16024)
+++ gsdl/trunk/perllib/plugins/DateExtractor.pm	(revision 16025)
@@ -1,2 +1,28 @@
+###########################################################################
+#
+# DateExtractor - helper plugin that extracts historical dates from text
+#
+# A component of the Greenstone digital library software
+# from the New Zealand Digital Library Project at the 
+# University of Waikato, New Zealand.
+#
+# Copyright (C) 2008 New Zealand Digital Library Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+###########################################################################
+
 package DateExtractor;
 
Index: gsdl/trunk/perllib/plugins/EmailAddressExtractor.pm
===================================================================
--- gsdl/trunk/perllib/plugins/EmailAddressExtractor.pm	(revision 16024)
+++ gsdl/trunk/perllib/plugins/EmailAddressExtractor.pm	(revision 16025)
@@ -1,2 +1,28 @@
+###########################################################################
+#
+# EmailAddressExtractor - helper plugin that extracts email addresses from text
+#
+# A component of the Greenstone digital library software
+# from the New Zealand Digital Library Project at the 
+# University of Waikato, New Zealand.
+#
+# Copyright (C) 2008 New Zealand Digital Library Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+###########################################################################
+
 package EmailAddressExtractor;
 
Index: gsdl/trunk/perllib/plugins/ImageConverter.pm
===================================================================
--- gsdl/trunk/perllib/plugins/ImageConverter.pm	(revision 16024)
+++ gsdl/trunk/perllib/plugins/ImageConverter.pm	(revision 16025)
@@ -1,2 +1,27 @@
+###########################################################################
+#
+# ImageConverter - helper plugin that does image conversion using ImageMagick
+#
+# A component of the Greenstone digital library software
+# from the New Zealand Digital Library Project at the 
+# University of Waikato, New Zealand.
+#
+# Copyright (C) 2008 New Zealand Digital Library Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+###########################################################################
 package ImageConverter;
 
Index: gsdl/trunk/perllib/plugins/KeyphraseExtractor.pm
===================================================================
--- gsdl/trunk/perllib/plugins/KeyphraseExtractor.pm	(revision 16024)
+++ gsdl/trunk/perllib/plugins/KeyphraseExtractor.pm	(revision 16025)
@@ -1,2 +1,28 @@
+###########################################################################
+#
+# KeyphraseExtractor - helper plugin to extract key phrases
+#
+# A component of the Greenstone digital library software
+# from the New Zealand Digital Library Project at the 
+# University of Waikato, New Zealand.
+#
+# Copyright (C) 2008 New Zealand Digital Library Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+###########################################################################
+
 package KeyphraseExtractor;
 
Index: gsdl/trunk/perllib/plugins/PrintInfo.pm
===================================================================
--- gsdl/trunk/perllib/plugins/PrintInfo.pm	(revision 16024)
+++ gsdl/trunk/perllib/plugins/PrintInfo.pm	(revision 16025)
@@ -1,2 +1,28 @@
+###########################################################################
+#
+# PrintInfo - most base plugin
+#
+# A component of the Greenstone digital library software
+# from the New Zealand Digital Library Project at the 
+# University of Waikato, New Zealand.
+#
+# Copyright (C) 2008 New Zealand Digital Library Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+###########################################################################
+
 ## Most basic plugin, just handles parsing the arguments and printing out descriptions. Used for plugins and Extractor plugins
 
@@ -237,4 +263,5 @@
 }
 
+
 1;
 